Jump to
Product Updates
v v v v v v v v v v v v v v v v v v v v v v v v
Updated on

Product Updates in 2023 Q2

Product Updates Archive for 2023 Q2 period.

Product update - v23.14

Released: 2023-04-12

IMPORTANT: New Releases Procedure (v23.14)

Kindly note that our release process is changing. In future, we will release updates once per month (in the last week of each month). This change increases efficiency for the development teams and should not significantly influence delivery times for feature requests. In the current process, feature requests are groomed in 1 sprint, then implemented in the following sprint. In the new process, the grooming and implementation can be executed within a single sprint.

Note: Additional releases are possible in case of any critical changes or urgent feature updates.

See compared diagram below

Releases compare

Features (v23.14)

“Logs” page: add step name (v23.14)

We added the Step Name column next to the Flow Name on the Logs page. This makes it easier to isolate relevant logs during trouble shooting.

Note: While hovering on Mapper icon the tooltip will display information with steps interaction.

Logs

Transfer modal windows to the new styles: Transform UI for “History” page to React. (v23.14)

We applied a new design to the History tab on the Flow-Designer page and transfer it from ember to react

History

Creating a values file for the platform chart for deploying on the secondary cluster (v23.14)

Special Release Procedure (if haproxy is exposed)

Firstly deploy haproxy, and only then the platform. Otherwise, some services will crash.

Helm config changes:

  1. Added .Values.global.variables.SECONDARY_PLATFORM_CLUSTERS to admiral chart in the next format
    SECONDARY_PLATFORM_CLUSTERS:
      - name: 'secondary-cluster' # required
     credentials:
       name: 'my-user' # required
       password: 'some-password' # required
     disabled: false
     disabledRealtimeFlows: false
    
  2. Added ability to disable replicated admiral services .Values.global.services..enabled (default: true)
  3. Added annotation service.beta.kubernetes.io/azure-load-balancer-ipv4 to all internal load balancers if cloud provider is AZURE
  4. Added values-secondary.yaml file to admiral and platform charts for disabling services that do NOT run on secondary clusters
  5. Added ability in deploy.sh to deploy the platform to secondary cluster (i.e. using values-secondary.yaml). The command example:
KUBE_CONTEXT=great-moraq-stannis USE_SECONDARY=true ./deploy.sh deploy great-moraq

Changes required in configurations in k8s clusters (e.g. stage-clusters unmerged PR):

  1. In haproxy.yaml add expose: true and loadBalancerIp: ""
  2. In platoform.yaml:

    2.1. In global.services.api add expose: true and loadBalancerIp: ""

    2.2. In global.services.maester add expose: true and loadBalancerIp: ""

    2.3. In global.services.steward add expose: true and loadBalancerIp: ""

KUBE_CONTEXT=great-moraq-stannis USE_SECONDARY=true ./deploy.sh deploy great-moraq

Changes required in configurations in k8s clusters (e.g. stage-clusters unmerged PR):

  1. In haproxy.yaml add expose: true and loadBalancerIp: ""
  2. In platoform.yaml:

    2.1. In global.services.api add expose: true and loadBalancerIp: ""

    2.2. In global.services.maester add expose: true and loadBalancerIp: ""

    2.3. In global.services.steward add expose: true and loadBalancerIp: ""

    2.4. In global.services.pssLoadBalancer add expose: true

  3. In secrets.yaml change all occurrences of haproxy-service.platform.svc.cluster.local to an actual haproxy loadbalancer IP address

Fixed Bugs (v23.14)

  • FIXED bug 500 TimeoutError on GET v2/logs in case of applying together multi-filtering and search
  • FIXED bug, that causes the Websocket for thread updates makes duplicate requests for Flows and Users

Components (v23.14)

AMQP component 1.4.2 (v23.14)

  • ADDED retry mechanism on connection errors
  • ADDED configuration fields to set retry options
  • ADDED Don't encrypt payload and Content-Type configuration fields to Publish action
  • ADDED Don't decrypt payload configuration field to Consume trigger
  • UPDATED the Sailor library version to 2.7.1
  • UPDATED the amqplib library version to 0.10.3
  • FIXED bug where the component has cloned connections in Publish action
  • FIXED issue with the shutdown hook in Consume trigger

Splitter component 1.4.4 (v23.14)

  • FIXED bug while asynchronous polling with Splitter in Re-assemble Messages mode

Jira Cloud component 1.1.0 (v23.14)

  • ADDED Lookup Object (at most one) Action
  • ADDED Upsert Object Action

Product update - v23.14.1

Released: 2023-04-21

Features (v23.14.1)

We have simplified the process of copying the Webhook link. Clicking on the link will no longer open a new browser tab. Instead, the link will be automatically copied to the clipboard.

Webhook

Fixed Bugs (v23.14.1)

  • FIXED bug, where the queue reader sometimes misses changes in the state of thread queues that makes messages stuck in the queue.

Product update - v23.19

Released: 2023-05-10

Changes in accessibility to the Recipe feature (v23.19)

Starting from the next release 22.23 the Recipe feature will be available for the tenant-level of subscription. For Enterprise subscriptions the Recipe feature will be available at additional cost.

Note: If you are interested to use the Recipe feature functionality please contact sales@elastic.io for details.

New Features (v23.19)

Ability to transform BigInteger values into a string (v23.19)

  • We added a new node_config option consume_raw_data into the Flow’s attributes as a configuration option. This parameter configures the parsing behaviour in the webhook step. If selected, the webhook step receives an input message in the raw structure.
  • We added ability to enable raw in the Send Sample request.
  • We added Consume Raw Data configuration for step in the Advanced Settings menu.

BigInt

RawData

Service “Bran” will store container reason (v23.19)

With this feature request GET v2/containers now returns reason and exit_code attributes. This is a part of the platform optimisation and extending of its capability to withstand a high load. For this reason, we are moving forward to remove the Runlog and use a new “Containers” page that will display related information.

Additional fields in OAuth2 (v23.19)

Some instagram services use unusual authorisation schemas, so we added a New Auth Client Type oauth2_instagram.

In the component.json of REST API V2 component you need to define the scopes, because OAuthFieldView does not allow to specify it in credentials. E.g.:

"authClientTypes": [
  "oauth2_instagram"
],
"credentials": {
  "fields": {
    "auth": {
      "required": false,
      "viewClass": "OAuthFieldView"
    }
  },
  "oauth2": {
    "scopes": ["user_profile", "user_media"]
  }
},

Note: HTTPAuthView does NOT support oauth2_instagram type.

Creds

Transfer modal windows to the new styles: Transform UI for “Summary” page to React. (v23.19)

We applied a new design to the Summary tab on the Flow-Designer page and transfer it from ember to react.

Summary

Kubernetes Upgrade Maintenance Announcement (v23.19)

We are informing you that we will be performing a Kubernetes upgrade (v1.26) on our systems on 25/05/2023 from 17:00 to 19:00 (GMT+2). During this time, some of our services may be not be available for short period, and you may experience intermittent connectivity issues. This upgrade is necessary to ensure that we continue to provide the highest level of service to our customers, with improved stability and security. The Kubernetes upgrade will enable us to take advantage of the latest features and security enhancements, which will improve our overall system performance and help us better meet the needs of our customers. We understand that any maintenance downtime can be inconvenient, and we will work to minimize the impact on your business operations. Our team will be monitoring the systems during the upgrade to ensure that everything runs smoothly. If you have any questions or concerns, please do not hesitate to contact our customer support team, who will be available throughout the maintenance period.

Fixed Bugs (v23.19)

  • FIXED bug PATCH /v2/tenants/{tenant-id}/roles makes changes in Database even if it fails.

Components (v23.19)

Code component 1.2.11 (v23.19)

  • ADDED json-bigint library

CSV component 3.2.0 (v23.19)

  • ADDED new config fields to Read CSV attachment action:
    • Skip empty lines
    • Comment char
  • ADDED new config fields to Create CSV From Message Stream and Create CSV From JSON Array actions:
    • New line delimiter
    • Escape formulae

Jira Cloud component 1.2.0 (v23.19)

  • ADDED Delete Object Action
  • ADDED Lookup Objects (plural) Action
  • ADDED Get New and Updated Objects Polling Trigger

Microsoft Dynamics Business Central Component 1.1.1 (v23.19)

  • FIXED Verify credentials fails
  • UPDATED the Sailor library version to 2.7.1

Marketo Component 2.3.0 (v23.19)

  • ADDED Retry mechanism for requests to Marketo
  • UPDATED Trigger Get New Leads Polling:
    • ADDED Emit page option to Emit Behaviour
    • ADDED New config fields - Page Size, Max iterations and Return Leads
    • ADDED Metadata
  • UPDATED the Sailor library version to 2.7.1
  • UPDATED to node v18

Microsoft Dynamics CRM v2 component 1.2.2 (v23.19)

  • FIXED Output metadata for Get New and Updated Objects Polling Trigger
  • FIXED Verify credentials fails

Product update - v23.19.1

Released: 2023-06-14

Upgrade Kubernetes to v1.26 (v23.19.1)

The elastic.io platform has been upgraded to support Kubernetes v1.26. Please follow this link to see Kubernetes v1.26 its own changelog.

Product update - v23.24

Released: 2023-06-16

New Features (v23.24)

The Runlog has been removed from Dashboard page (v23.24)

As a part of our ongoing platform optimisation and extending its capability to withstand a high load, we have removed the Runlog and implemented a new “Containers” page that will display related information. This change does not reduce the amount of logging information available to you. Instead it increases the information available for error handling and debugging while increasing the efficiency of the platform.

Implement new Containers Page (v23.24)

We implemented new menu Containers under the Analyze section. The new page Containers will display information about containers and components inside. The main page displays logs for “Today” by default, and users can extend the date range by the filtering and Search fields. The container logs save up to 30 days. The Containers page displays next States:

  • Running (green flag) - The container is currently running
  • Finished (green flag) - The container is successfully shut down
  • Finished (red flag) - The container is stopped with registered error
  • Killed (green flag) - The container is successfully stopped
  • Killed (red flag) - the container was immediately terminated by the operating system Container States

To open information for the particular container click on Step Name. The single container page displays next information:

  • Status - container’s current status
  • Flow Name - related to this container flow name (opens particular flow designer page by clicking on the flow name)
  • Start Date - container start date
  • Stop Date - container stop date
  • Exit Code - current or last status code
  • Reason - description of current or last status code
  • Filtering - available by Search, Log Level and Date Range
  • Details - log Date/Time, Log Level and Description Container

NOTE: Logs collected before this release won’t be present on Container Details page.

New data source for dashboard (v23.24)

As we disabled the data messages processing in the lookout we created a new data source Clickhouse for Dashboard.

Logs API supports filtering by containers_id (v23.24)

We added new query parameter container_id into GET v2/logs endpoint.

Updated Recipes accessibility (v23.24)

We changed the helm env var RECIPES_FEATURE_DISABLED to true. It means that the Recipes are disabled for all contracts. Before deploying, Tenant-Admin should update the feature flag for the necessary contracts with disableRecipeFeature: false to continue using the Recipe feature. See in API DOCS

{
    "data": {
        "type": "contract",
        "id": "contract_id",
        "attributes": {
            "feature_flags": {
                "disable_recipe_feature": false
            }
        }
    }
}

Note: The Recipes are available to activate. Only create, edit and delete are resricted.

Lookout will not process data/input messages (v23.24)

The Lookout does not process data/input messages to reduce the Mongodb load. We introduced the new env var - LOOKOUT_PROCESS_DATA (default: false). It controls whether the lookout consumes data and input non-retry messages.

Added React classes to “Components section” of Flow Designer page (v23.24)

The particular solution to fix an issue in CSS styles. With the next release, this section will be transferred to React.

Fixed Bugs (v23.24)

  • FIXED No error details on the Runlog:
  • Flow’s errors delete after 30 days according to TTL. If errors don’t available for this reason, the next text will be shown on the Threads details page:

Details of errors that occurred more than 30 days ago have been removed and are no longer accessible.

  • For all flows only 1000 latest errors are available. If any flow reached this limit, the next text will be shown on the Threads details page:

The amount of errors produced by this Flow exceeds error record limit. Older error records were deleted to persist the most recent ones.

Components (v23.24)

Microsoft OneDrive component 2.0.0 (v23.24)

  • IMPORTANT The new version of the component! No backward compatibility!
  • ADDED new authentication mechanism
  • ADDED retries on server errors
  • ADDED retries on 429 (too many requests) errors
  • ADDED attachment URL provided directly in messages
  • ADDED support for uploading large files to OneDrive

Microsoft Dynamics CRM v2 component 1.2.3 (v23.24)

  • ADDED titles to output metadata for Lookup actions and Get New and Updated Objects Polling trigger

Kommo component 1.0.0 (v23.24)

  • ADDED Make Raw Request action

Google Cloud Storage component 1.2.0 (v23.24)

  • ADDED Get New and Updated Objects Polling trigger

HubSpot component 1.6.0 (v23.24)

  • DEPRECATED Webhook trigger in favor of Hubspot webhook component

HubSpot Webhook component 1.0.0 (v23.24)

  • ADDED Webhook trigger

Jira Cloud component 1.3.0 (v23.24)

  • ADDED support Jira Service Management Cloud

Maester component 2.0.1 (v23.24)

  • BREAKING CHANGE changed output metadata structure. Introduced 2 objects - metaHeaders and searchHeaders
  • FIXED the issue when Upsert Object action did not save the search headers in Maester
  • ADDED Don't throw an error when updating an object with TTL

Salesforce component 2.6.0 (v23.24)

  • ADDED Don't emit on empty results checkbox in Query trigger

XML component 1.4.0 (v23.24)

  • ADDED support attachments inside message body for XML Attachment to JSON action
  • UPDATED Sailor version to 2.7.1
  • REMOVED old dependencies

Lookup Table component 1.2.0 (v23.24)

  • ADDED Duplicates behavior option
  • FIXED error on empty lines
  • UPDATED renamed configuration fields:
    • From this table to From this column
    • To this table to To this column

Mailchimp component 1.0.4 (v23.24)

  • FIXED credential verification
  • UPDATED Sailor version to 2.7.1